package version

import "fmt"

type Version struct {
	Major int
	Minor int
	Patch int
	Build int
}

var versionNumber Version = Version{0, 1, 0, 0}

func GetFullVersion() string {
	return fmt.Sprintf("%d.%d.%d.%d", versionNumber.Major, versionNumber.Minor, versionNumber.Patch, versionNumber.Build)
}

func GetMajorVersion() string {
	return fmt.Sprintf("%d", versionNumber.Major)
}

func GetMinorVersion() string {
	return fmt.Sprintf("%d", versionNumber.Minor)
}

func GetPatchVersion() string {
	return fmt.Sprintf("%d", versionNumber.Patch)
}

func GetBuildVersion() string {
	return fmt.Sprintf("%d", versionNumber.Build)
}
